Index: debian/changelog
===================================================================
--- debian/changelog	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/changelog	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,19 @@
+gutenbach-queue (1.02) unstable; urgency=low
+
+  * Prevent the screen from turning off when
+  view-gutenbach-queue is running.
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:24:37 -0500
+
+gutenbach-queue (1.01) unstable; urgency=low
+
+  * Changed the chown in the postinst to
+  daemon:daemon instaed of daemon:pika
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:23:50 -0500
+
+gutenbach-queue (1.0) unstable; urgency=low
+
+  * Initial release.
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:03:48 -0500
Index: debian/compat
===================================================================
--- debian/compat	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/compat	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+5
Index: debian/control
===================================================================
--- debian/control	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/control	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,14 @@
+Source: gutenbach-queue
+Section: sound
+Priority: extra
+Maintainer: Jessica Hamrick <jhamrick@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.8.0
+
+Package: gutenbach-queue
+Architecture: all
+Pre-Depends: debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, gutenbach
+Description: Displays metadat about the current songs in the 
+ queue for the gutenbach music spooler, and also the song that
+ is currently playing.
Index: debian/copyright
===================================================================
--- debian/copyright	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/copyright	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+Copyright 2009 Jessica Hamrick
Index: debian/gutenbach-queue.dirs
===================================================================
--- debian/gutenbach-queue.dirs	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.dirs	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,2 @@
+usr/lib/gutenbach
+usr/lib/gutenbach/queue
Index: debian/gutenbach-queue.init
===================================================================
--- debian/gutenbach-queue.init	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.init	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,91 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides:          gutenbach-queue
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Starts the queue daemon for gutenbach.
+# Description:       Starts the queue daemon for gutenbach.
+### END INIT INFO
+
+case "$1" in
+    start)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue --running
+	if [ "$?" == 0 ]; then
+	    echo "The gutenbach queue daemon is already running."
+	else
+	    if [ ! -e /var/run/gutenbach/current_queue ]; then
+		touch /var/run/gutenbach/current_queue
+		chmod ugoa+r /var/run/gutenbach/current_queue
+            fi
+            if [ ! -e /var/run/gutenbach/queue_times ]; then
+		touch /var/run/gutenbach/queue_times
+            fi
+            if [ ! -e /var/run/gutenbach/exiftool_data ]; then
+		touch /var/run/gutenbach/exiftool_data
+	    fi
+            if [ ! -e /var/run/gutenbach/current_queue_temp ]; then
+		touch /var/run/gutenbach/current_queue_temp
+            fi
+
+	    echo "Starting gutenbach daemon..."
+	    daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
+	    echo "Done."
+	fi
+	;;
+
+    stop)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
+	/usr/lib/gutenbach/queue/kill-gutenbach-queue
+
+	if [ -e /var/run/gutenbach/current_queue ]; then
+            rm /var/run/gutenbach/current_queue
+	fi
+        if [ -e /var/run/gutenbach/queue_times ]; then
+            rm /var/run/gutenbach/queue_times
+	fi
+        if [ -e /var/run/gutenbach/exiftool_data ]; then
+            rm /var/run/gutenbach/exiftool_data
+	fi
+        if [ -e /var/run/gutenbach/current_queue_temp ]; then
+            rm /var/run/gutenbach/current_queue_temp
+        fi
+	;;
+
+    restart)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
+        /usr/lib/gutenbach/queue/kill-gutenbach-queue
+
+	if [ -e /var/run/gutenbach/current_queue ]; then
+	    rm /var/run/gutenbach/current_queue
+	fi
+	if [ -e /var/run/gutenbach/queue_times ]; then
+	    rm /var/run/gutenbach/queue_times
+	fi
+	if [ -e /var/run/gutenbach/exiftool_data ]; then
+	    rm /var/run/gutenbach/exiftool_data
+	fi
+	if [ -e /var/run/gutenbach/current_queue_temp ]; then
+	    rm /var/run/gutenbach/current_queue_temp
+	fi
+
+	touch /var/run/gutenbach/current_queue
+	chmod ugoa+r /var/run/gutenbach/current_queue
+	touch /var/run/gutenbach/queue_times
+	touch /var/run/gutenbach/exiftool_data
+	touch /var/run/gutenbach/current_queue_temp
+
+	echo "Starting gutenbach daemon..."
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
+	echo "Done."
+	;;
+
+    force-reload)
+	;;
+
+    *)
+	echo "Usage: $0 {start|stop|restart}"
+	exit 1
+	;;
+esac
Index: debian/gutenbach-queue.install
===================================================================
--- debian/gutenbach-queue.install	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.install	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+debian/lib/* /usr/lib/gutenbach/queue/
Index: debian/gutenbach-queue.postinst
===================================================================
--- debian/gutenbach-queue.postinst	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.postinst	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postinst script for gutenbach-queue
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    configure|reconfigure)
+	chmod +x /usr/lib/gutenbach/queue/build-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/kill-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/view-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/queue
+	
+	if [ ! -e /usr/bin/view-gutenbach-queue ]; then
+	    ln -s /usr/lib/gutenbach/queue/view-gutenbach-queue /usr/bin/view-gutenbach-queue
+	fi
+
+	chown -R daemon:daemon /var/run/gutenbach
+	chmod og+rw /var/run/gutenbach
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: debian/gutenbach-queue.postrm
===================================================================
--- debian/gutenbach-queue.postrm	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.postrm	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postrm script for gutenbach-queue
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	if [ "$1" = "purge" ]; then
+	    if [ -e /usr/lib/gutenbach/queue ]; then
+		echo "Removing /usr/lib/gutenbach/queue/ ..." >&2
+		rm -r  /usr/lib/gutenbach/queue
+	    fi
+
+	    if [ -e /usr/bin/view-gutenbach-queue ]; then
+		echo "Removing /usr/bin/view-gutenbach-queue ..." >&2
+		rm /usr/bin/view-gutenbach-queue
+	    fi
+     	fi
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: debian/rules
===================================================================
--- debian/rules	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/rules	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
